pub struct Chemical {
    name:&'static str,
    formula:&'static str,
    mass:f32,
}

pub const CHEMICALS :&[Chemical] = &[
    Chemical {
        name:"Hydrogen",
        formula:"H2",
        mass:2.02,
    },
    Chemical {
        name:"Helium",
        formula:"He",
        mass:4.0,
    },
    Chemical {
        name:"Tritium",
        formula:"T2",
        mass:6.,
    },
    Chemical {
        name:"Methane",
        formula:"CH4",
        mass:16.04,
    },
    Chemical {
        name:"Ammonia",
        formula:"NH3",
        mass:17.03,
    },
    Chemical {
        name:"Water",
        formula:"H2O",
        mass:18.01528,
    },
    Chemical {
        name:"Carbon Monoxide",
        formula:"CO",
        mass:28.01,
    },
    Chemical {
        name:"Nitrogen",
        formula:"N2",
        mass:28.01,
    },
    Chemical {
        name:"Ethylene",
        formula:"C2H4",
        mass:28.05,
    },
    Chemical {
        name:"Ethane",
        formula:"C2H6",
        mass:30.07,
    },
    Chemical {
        name:"Oxygen",
        formula:"O2",
        mass:32.0,
    },
    Chemical {
        name:"Fluorine",
        formula:"F2",
        mass:38.,
    },
    Chemical {
        name:"Argon",
        formula:"Ar",
        mass:39.95,
    },
    Chemical {
        name:"Carbon Dioxide",
        formula:"CO2",
        mass:44.01,
    },
    Chemical {
        name:"Propane",
        formula:"C3H8",
        mass:44.10,
    },
    Chemical {
        name:"Ozone",
        formula:"O3",
        mass:48.,
    },
    Chemical {
        name:"Butane",
        formula:"C4H10",
        mass:58.12,
    },
    Chemical {
        name:"Sulfer Dioxide",
        formula:"SO2",
        mass:64.06,
    },
    Chemical {
        name:"Chlorine",
        formula:"Cl2",
        mass:70.91,
    },
    Chemical {
        name:"Krypton",
        formula:"Kr",
        mass:84.,
    },
    Chemical {
        name:"Hexane",
        formula:"C6H14",
        mass:86.18,
    },
    Chemical {
        name:"Xenon",
        formula:"Xe",
        mass:131.,
    },
];
